<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Connection stats</title>
		<meta name="description" content="Serverių prisijungimų statistika">
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	</head>
	
	<style type="text/css">
		body {
			text-align: center;
			margin: 0;
		}
		
		#m1 {
			top: 0;
			border-bottom: 1px solid #B2B2B2;
			-webkit-box-shadow: 0px 2px 4px 0px rgba(50, 50, 50, 0.5);
			-moz-box-shadow: 0px 2px 4px 0px rgba(50, 50, 50, 0.5);
			box-shadow: 0px 2px 4px 0px rgba(50, 50, 50, 0.5);			
		}

		#m2 {
			bottom: 0;
			border-top: 1px solid #B2B2B2;
			-webkit-box-shadow: 0px -2px 4px 0px rgba(50, 50, 50, 0.5);
			-moz-box-shadow: 0px -2px 4px 0px rgba(50, 50, 50, 0.5);
			box-shadow: 0px -2px 4px 0px rgba(50, 50, 50, 0.5);			
		}
		
		#m1, #m2 {
			position: fixed;
			width: 100%;
			background: rgb(226, 239, 246);
			background: rgba(226, 239, 246, .5);
			height: 50px;
			line-height: 50px;
		}
		
		#graph {
			margin: auto;
			position: absolute;  
			bottom: 0; left: 0; top: 0; right: 0;
			z-index: -1;
		}
	</style>	

	<body>
		<?php
		require_once('config.php');
		
		$servers = GetServersTables();
			
		if(!array_key_exists('*', $servers)) :
		?>
		
		<form id="m1">Pasirinkite serverį: 
			<select id="servers" onchange="redraw()">
			
			<?php foreach($servers as $server => $table) : ?>
			
				<option value="<?= $table; ?>"><?= $server; ?></option>
				
			<?php endforeach; ?>
			
			</select>
		</form>
		
		<br/>
		
		<?php endif; ?>
		
		<?php 
		$today = date('Y-m-d'); 
		$d1 = date('Y-m-d', strtotime('-28 day' . $today));
		?>
		
		<img id="graph" src="graph.php?t=<?= reset($servers); ?>&d1=<?= $d1; ?>&d2=<?= $today; ?>">
		
		<form id="m2" onsubmit="redraw();return false;">
			<input id="d1" type="text" value="<?= $d1; ?>">
			- <input id="d2" type="text" value="<?= $today; ?>">
			<input type="submit" value="Žiūrėti">
		</form> 		
		
		<script type="text/javascript">
			function redraw()
			{
				var servers = document.getElementById("servers");
				
				document.getElementById("graph").src="graph.php?t=" 
				+ (servers ? servers.value : "<?= $servers['*']; ?>")
				+ "&d1=" + document.getElementById('d1').value
				+ "&d2=" + document.getElementById('d2').value;
			}		
		</script>
		
	</body>
</html>