<?php
require_once('config.php');

if(!isset($_GET['t']) || !in_array($_GET['t'], GetServersTables()))
	die();
	
$errorMsg = NULL;
	
$table = $_GET['t'];

$dbInfo = GetDbInfo();

$mysqli = new mysqli($dbInfo[0], $dbInfo[1], $dbInfo[2], $dbInfo[3]);

if($mysqli->connect_errno)
	$errorMsg = $mysqli->connect_error;

else
{
	$today = date('Y-m-d');

	$_GET['d1'] == date('Y-m-d', strtotime($_GET['d1'])) ? $date1 = $_GET['d1'] : $date1 = date('Y-m-d', strtotime('-28 day' . $today));
	$_GET['d2'] == date('Y-m-d', strtotime($_GET['d2'])) ? $date2 = $_GET['d2'] : $date2 = $today;

	if($result = $mysqli->query("SELECT Date, Connections FROM $table WHERE Date BETWEEN '$date1' AND '$date2'"))
	{
		$rowCount = $result->num_rows;
		
		while($row = $result->fetch_array(MYSQLI_ASSOC))
			$data[] = $row;	
			
		$result->close();
	}

	else
		$errorMsg = $mysqli->error;

	if($result = $mysqli->query("SELECT SUM(Connections) AS connSum, AVG(Connections) AS connAvg FROM $table WHERE Date BETWEEN '$date1' AND '$date2'"))
	{
		$obj = $result->fetch_object();
		
		$connSum = number_format($obj->connSum, 0, '.', ' ');
		$connAvg = round($obj->connAvg);
		
		$result->close();
	}

	else
		$errorMsg = $mysqli->error;
}
	
$mysqli->close();

if(!$errorMsg && !$rowCount)
	$errorMsg = "Informacija nerasta";

require_once 'phplot/phplot.php';

$plot = new PHPlot(80 * ($rowCount < 3 ? 3 : $rowCount), 500);

if($errorMsg)
{
	$plot->DrawMessage($errorMsg, array(
		'wrap_width' => 38,
		'text_color' => 'blue'));
}

$plot->SetCallback('data_color', 'pickcolor', $data);
$plot->SetDataColors(array('SkyBlue', 'orange'));
$plot->SetImageBorderType('plain');
$plot->SetPlotType(GraphType() == 1 ? 'linepoints' : 'bars');
$plot->SetDataType('text-data');
$plot->SetDataValues($data);
$plot->SetTitle("Viso: $connSum | Vidurkis: $connAvg");
$plot->SetYDataLabelPos('plotin');
$plot->SetDrawXDataLabelLines(true);
$plot->SetYTickLabelPos('none');
$plot->SetYTickPos('none');
$plot->SetDrawYGrid(false);
$plot->SetXTickPos('none');
$plot->SetXTickLabelPos('none');
$plot->SetXTitle('Data', 'plotdown');
$plot->SetYTitle('Prisijungimai', 'plotleft');
$plot->SetFontGD('x_label', 2);
$plot->SetFontGD('y_label', 4);
$plot->SetFontGD('x_title', 5);
$plot->SetFontGD('y_title', 5);

$plot->DrawGraph();

function pickcolor($img, $data_array, $row, $col)
{
	$d = $data_array[$row]['Date'];

	$date = date("l", strtotime($d));
	
	if(($date == "Saturday") || ($date == "Sunday"))
		return 1;
		
	return 0;
}
?>